Crypto++ 8.6 Free C++ class library of cryptographic schemes

Public Member Functions | Static Public Member Functions | List of all members
CMAC< T > Class Template Reference

CMAC message authentication code. More...

Inheritance diagram for CMAC< T >:

## Public Member Functions
| CMAC ()
| Construct a CMAC.
| CMAC (const byte *key, size_t length=SameKeyLengthAs< T >::DEFAULT_KEYLENGTH)
| Construct a CMAC. More...
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name. More...

## Static Public Member Functions
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name. More...
Static Public Member Functions inherited from SameKeyLengthAs< T, IV_REQ, IV_L >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function. More...

## Additional Inherited Members
Static Public Attributes inherited from SameKeyLengthAs< T, IV_REQ, IV_L >
static const int | MIN_KEYLENGTH =T::MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH =T::MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH =T::DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT =IV_REQ
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH =IV_L
| The default initialization vector length for the algorithm provided as a constant. More...

## Detailed Description

### template<class T>
class CMAC< T >

CMAC message authentication code.

Template Parameters

  T | block cipher

Template parameter T should be a class derived from BlockCipherDocumentation, for example AES, with a block size of 8, 16, or 32.

See also
  CMAC

Since
  Crypto++ 5.6.0

Definition at line 56 of file cmac.h.

## Constructor & Destructor Documentation

## ◆ CMAC()

template<class T >

CMAC< T >::CMAC | ( | const byte * | key,
|  | size_t | length = `SameKeyLengthAs<T>::DEFAULT_KEYLENGTH`
| ) |  |
| inline

Construct a CMAC.

Parameters

  key | the MAC key
  length | the key size, in bytes

Definition at line 64 of file cmac.h.

The documentation for this class was generated from the following file:

- cmac.h